﻿using Android.App;
using Android.Graphics;
using Android.OS;
using Android.Util;
using Android.Widget;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Android;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;

namespace PopupDemo
{
    [Activity(Label = "PopupDemo", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        private MapView map1;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            map1 = FindViewById<MapView>(Resource.Id.map1);
            map1.MapUnit = GeographyUnit.DecimalDegree;
            map1.CurrentExtent = new RectangleShape(-136.60, 68.06, -53.81, 11.63);

            WorldStreetsAndImageryOverlay worldOverlay = new WorldStreetsAndImageryOverlay();
            map1.Overlays.Add(worldOverlay);

            Popup popup = new Popup(this);
            popup.Position = new PointShape(-96.809523, 33.128675);
            popup.YOffset = (int)(-44 * Resources.DisplayMetrics.Density);
            popup.XOffset = (int)(4 * Resources.DisplayMetrics.Density);

            ImageView imageView = new ImageView(this);
            imageView.SetImageResource(Resource.Drawable.ThinkGeoLogo);

            TextView textView = new TextView(this);
            textView.Text = string.Format("Longitude : {0:N4}" + "\r\n" + "Latitude : {1:N4}", popup.Position.X, popup.Position.Y);
            textView.SetTextColor(Color.Black);
            textView.SetTextSize(ComplexUnitType.Px, 22);

            LinearLayout linearLayout = new LinearLayout(this);
            linearLayout.SetPadding(10, 10, 10, 10);
            linearLayout.Orientation = Orientation.Vertical;
            linearLayout.AddView(imageView);
            linearLayout.AddView(textView);
            popup.AddView(linearLayout);

            PopupOverlay popupOverlay = new PopupOverlay();
            popupOverlay.Popups.Add(popup);
            map1.Overlays.Add(popupOverlay);

            map1.Refresh();
        }
    }
}

